package com.zjsgfa.project.zjsgfa.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zjsgfa.framework.aspectj.lang.annotation.Excel;
import com.zjsgfa.framework.web.domain.BaseEntity;

/**
 * 设计-施工概要-关键设备性能要求对象 sj_sggy_gjsbxnyq
 * 
 * @author
 * @date 2025-08-18
 */
@Data
public class SjSggyGjsbxnyq extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 井号 */
    @Excel(name = "井号")
    private String jh;

    /**
     * 设计优化
     */
    private String sjyh;

    /** 钻机型号 */
    @Excel(name = "钻机型号")
    private String zjxh;

    /** 网电电压 */
    @Excel(name = "网电电压")
    private String wddy;

    /** 电控稳定输出功率 */
    @Excel(name = "电控稳定输出功率")
    private String dkwdscgl;

    /** 整机能力-钻机类型 */
    @Excel(name = "整机能力-钻机类型")
    private String zjnlZjlx;

    /** 整机能力-最大承受拉力 */
    @Excel(name = "整机能力-最大承受拉力")
    private String zjnlZdcsll;

    /** 整机能力-最高承受泵压 */
    @Excel(name = "整机能力-最高承受泵压")
    private String zjnlZgcsby;

    /** 旋转系统-电动转盘最大扭矩 */
    @Excel(name = "旋转系统-电动转盘最大扭矩")
    private String xzxtDdzp;

    /** 旋转系统-顶驱最大扭矩 */
    @Excel(name = "旋转系统-顶驱最大扭矩")
    private String xzxtDq;

    /** 循环系统-1#泵类型 */
    @Excel(name = "循环系统-1#泵类型")
    private String xhxtB1lx;

    /** 循环系统-1#泵型号 */
    @Excel(name = "循环系统-1#泵型号")
    private String xhxtB1xh;

    /** 循环系统-1#泵最大功率 */
    @Excel(name = "循环系统-1#泵最大功率")
    private String xhxtB1zdgl;

    /** 循环系统-2#泵类型 */
    @Excel(name = "循环系统-2#泵类型")
    private String xhxtB2lx;

    /** 循环系统-2#泵型号 */
    @Excel(name = "循环系统-2#泵型号")
    private String xhxtB2xh;

    /** 循环系统-2#泵最大功率 */
    @Excel(name = "循环系统-2#泵最大功率")
    private String xhxtB2zdgl;

    /** 循环系统-3#泵类型 */
    @Excel(name = "循环系统-3#泵类型")
    private String xhxtB3lx;

    /** 循环系统-3#泵型号 */
    @Excel(name = "循环系统-3#泵型号")
    private String xhxtB3xh;

    /** 循环系统-3#泵最大功率 */
    @Excel(name = "循环系统-3#泵最大功率")
    private String xhxtB3zdgl;

    /** 固控设备-振动筛类型 */
    @Excel(name = "固控设备-振动筛类型")
    private String gksbZdslx;

    /** 固控设备-1#离心机类型 */
    @Excel(name = "固控设备-1#离心机类型")
    private String gksbLxj1lx;

    /** 固控设备-1#离心机主电机功率 */
    @Excel(name = "固控设备-1#离心机主电机功率")
    private String gksbLxj1zdjgl;

    /** 固控设备-2#离心机类型 */
    @Excel(name = "固控设备-2#离心机类型")
    private String gksbLxj2lx;

    /** 固控设备-2#离心机主电机功率 */
    @Excel(name = "固控设备-2#离心机主电机功率")
    private String gksbLxj2zdjgl;

    /** 固控设备-3#离心机类型 */
    @Excel(name = "固控设备-3#离心机类型")
    private String gksbLxj3lx;

    /** 固控设备-3#离心机主电机功率 */
    @Excel(name = "固控设备-3#离心机主电机功率")
    private String gksbLxj3zdjgl;

    /** 循环罐-数量 */
    @Excel(name = "循环罐-数量")
    private String xhgSl;

    /** 循环罐-总容量 */
    @Excel(name = "循环罐-总容量")
    private String xhgZrl;

    /** 储备罐-个量 */
    @Excel(name = "储备罐-个量")
    private String cbgSl;

    /** 储备罐-总容量 */
    @Excel(name = "储备罐-总容量")
    private String cbgZrl;
    //设备分析意见
    private String sbfxyj;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setJh(String jh) 
    {
        this.jh = jh;
    }

    public String getJh() 
    {
        return jh;
    }

    public void setZjxh(String zjxh) 
    {
        this.zjxh = zjxh;
    }

    public String getZjxh() 
    {
        return zjxh;
    }

    public void setWddy(String wddy) 
    {
        this.wddy = wddy;
    }

    public String getWddy() 
    {
        return wddy;
    }

    public void setDkwdscgl(String dkwdscgl) 
    {
        this.dkwdscgl = dkwdscgl;
    }

    public String getDkwdscgl() 
    {
        return dkwdscgl;
    }

    public void setZjnlZjlx(String zjnlZjlx) 
    {
        this.zjnlZjlx = zjnlZjlx;
    }

    public String getZjnlZjlx() 
    {
        return zjnlZjlx;
    }

    public void setZjnlZdcsll(String zjnlZdcsll) 
    {
        this.zjnlZdcsll = zjnlZdcsll;
    }

    public String getZjnlZdcsll() 
    {
        return zjnlZdcsll;
    }

    public void setZjnlZgcsby(String zjnlZgcsby) 
    {
        this.zjnlZgcsby = zjnlZgcsby;
    }

    public String getZjnlZgcsby() 
    {
        return zjnlZgcsby;
    }

    public void setXzxtDdzp(String xzxtDdzp) 
    {
        this.xzxtDdzp = xzxtDdzp;
    }

    public String getXzxtDdzp() 
    {
        return xzxtDdzp;
    }

    public void setXzxtDq(String xzxtDq) 
    {
        this.xzxtDq = xzxtDq;
    }

    public String getXzxtDq() 
    {
        return xzxtDq;
    }

    public void setXhxtB1lx(String xhxtB1lx) 
    {
        this.xhxtB1lx = xhxtB1lx;
    }

    public String getXhxtB1lx() 
    {
        return xhxtB1lx;
    }

    public void setXhxtB1xh(String xhxtB1xh) 
    {
        this.xhxtB1xh = xhxtB1xh;
    }

    public String getXhxtB1xh() 
    {
        return xhxtB1xh;
    }

    public void setXhxtB1zdgl(String xhxtB1zdgl) 
    {
        this.xhxtB1zdgl = xhxtB1zdgl;
    }

    public String getXhxtB1zdgl() 
    {
        return xhxtB1zdgl;
    }

    public void setXhxtB2lx(String xhxtB2lx) 
    {
        this.xhxtB2lx = xhxtB2lx;
    }

    public String getXhxtB2lx() 
    {
        return xhxtB2lx;
    }

    public void setXhxtB2xh(String xhxtB2xh) 
    {
        this.xhxtB2xh = xhxtB2xh;
    }

    public String getXhxtB2xh() 
    {
        return xhxtB2xh;
    }

    public void setXhxtB2zdgl(String xhxtB2zdgl) 
    {
        this.xhxtB2zdgl = xhxtB2zdgl;
    }

    public String getXhxtB2zdgl() 
    {
        return xhxtB2zdgl;
    }

    public void setXhxtB3lx(String xhxtB3lx) 
    {
        this.xhxtB3lx = xhxtB3lx;
    }

    public String getXhxtB3lx() 
    {
        return xhxtB3lx;
    }

    public void setXhxtB3xh(String xhxtB3xh) 
    {
        this.xhxtB3xh = xhxtB3xh;
    }

    public String getXhxtB3xh() 
    {
        return xhxtB3xh;
    }

    public void setXhxtB3zdgl(String xhxtB3zdgl) 
    {
        this.xhxtB3zdgl = xhxtB3zdgl;
    }

    public String getXhxtB3zdgl() 
    {
        return xhxtB3zdgl;
    }

    public void setGksbZdslx(String gksbZdslx) 
    {
        this.gksbZdslx = gksbZdslx;
    }

    public String getGksbZdslx() 
    {
        return gksbZdslx;
    }

    public void setGksbLxj1lx(String gksbLxj1lx) 
    {
        this.gksbLxj1lx = gksbLxj1lx;
    }

    public String getGksbLxj1lx() 
    {
        return gksbLxj1lx;
    }

    public void setGksbLxj1zdjgl(String gksbLxj1zdjgl) 
    {
        this.gksbLxj1zdjgl = gksbLxj1zdjgl;
    }

    public String getGksbLxj1zdjgl() 
    {
        return gksbLxj1zdjgl;
    }

    public void setGksbLxj2lx(String gksbLxj2lx) 
    {
        this.gksbLxj2lx = gksbLxj2lx;
    }

    public String getGksbLxj2lx() 
    {
        return gksbLxj2lx;
    }

    public void setGksbLxj2zdjgl(String gksbLxj2zdjgl) 
    {
        this.gksbLxj2zdjgl = gksbLxj2zdjgl;
    }

    public String getGksbLxj2zdjgl() 
    {
        return gksbLxj2zdjgl;
    }

    public void setGksbLxj3lx(String gksbLxj3lx) 
    {
        this.gksbLxj3lx = gksbLxj3lx;
    }

    public String getGksbLxj3lx() 
    {
        return gksbLxj3lx;
    }

    public void setGksbLxj3zdjgl(String gksbLxj3zdjgl) 
    {
        this.gksbLxj3zdjgl = gksbLxj3zdjgl;
    }

    public String getGksbLxj3zdjgl() 
    {
        return gksbLxj3zdjgl;
    }

    public void setXhgSl(String xhgSl) 
    {
        this.xhgSl = xhgSl;
    }

    public String getXhgSl() 
    {
        return xhgSl;
    }

    public void setXhgZrl(String xhgZrl) 
    {
        this.xhgZrl = xhgZrl;
    }

    public String getXhgZrl() 
    {
        return xhgZrl;
    }

    public void setCbgSl(String cbgSl) 
    {
        this.cbgSl = cbgSl;
    }

    public String getCbgSl() 
    {
        return cbgSl;
    }

    public void setCbgZrl(String cbgZrl) 
    {
        this.cbgZrl = cbgZrl;
    }

    public String getCbgZrl() 
    {
        return cbgZrl;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("jh", getJh())
            .append("zjxh", getZjxh())
            .append("wddy", getWddy())
            .append("dkwdscgl", getDkwdscgl())
            .append("zjnlZjlx", getZjnlZjlx())
            .append("zjnlZdcsll", getZjnlZdcsll())
            .append("zjnlZgcsby", getZjnlZgcsby())
            .append("xzxtDdzp", getXzxtDdzp())
            .append("xzxtDq", getXzxtDq())
            .append("xhxtB1lx", getXhxtB1lx())
            .append("xhxtB1xh", getXhxtB1xh())
            .append("xhxtB1zdgl", getXhxtB1zdgl())
            .append("xhxtB2lx", getXhxtB2lx())
            .append("xhxtB2xh", getXhxtB2xh())
            .append("xhxtB2zdgl", getXhxtB2zdgl())
            .append("xhxtB3lx", getXhxtB3lx())
            .append("xhxtB3xh", getXhxtB3xh())
            .append("xhxtB3zdgl", getXhxtB3zdgl())
            .append("gksbZdslx", getGksbZdslx())
            .append("gksbLxj1lx", getGksbLxj1lx())
            .append("gksbLxj1zdjgl", getGksbLxj1zdjgl())
            .append("gksbLxj2lx", getGksbLxj2lx())
            .append("gksbLxj2zdjgl", getGksbLxj2zdjgl())
            .append("gksbLxj3lx", getGksbLxj3lx())
            .append("gksbLxj3zdjgl", getGksbLxj3zdjgl())
            .append("xhgSl", getXhgSl())
            .append("xhgZrl", getXhgZrl())
            .append("cbgSl", getCbgSl())
            .append("cbgZrl", getCbgZrl())
            .toString();
    }
}
